Use this API to update a role. Partial role updates are supported.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Content-Type required string | Set to application/json. |
Request Parameters
name required string | Name of the role. |
Sample Responses
- 200 Ok
- 401 Unauthorized
- 422 Unprocessable Entity
{
"id": 123
}Typically, this error means that your Authorization header value is missing or incorrectly formatted. The Authorization header value should use this format: bearer <access_token>.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}Indicates that the syntax of the request is good but a value supplied is not valid.
{
"message": "Validation failed: The associated Policy with ID 0 could not be found",
"statusCode": 422,
"name": "UnprocessableEntityError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Update Role
curl 'https://<subdomain>.onelogin.com/api/2/roles/:id' \
-X PUT \
-H "Authorization: bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{"name": "<role_name>"}'Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.